curl --request POST \
--url https://api.rootfi.dev/v3/accounting/items \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '{
"company_id": 1,
"data": [
{
"name": "Rootfi Test Item",
"description": "Rootfi Test Item",
"type": "INVENTORY",
"code": "1234567890",
"quantity_on_hand": 0,
"bill_item": {
"account_id": "123456",
"unit_price": 100
},
"invoice_item": {
"account_id": "123456",
"unit_price": 100
}
}
]
}'
import { RootFiClient } from "rootfi-api";
const rootfi = new RootFiClient({ apiKey: "<api_key>" });
await rootfi.accounting.items.create({
company_id: 1,
data: [
{
name: "Rootfi Test Item",
description: "Rootfi Test Item",
type: "INVENTORY",
code: "1234567890",
quantity_on_hand: 0,
bill_item: {
account_id: "123456",
unit_price: 100,
},
invoice_item: {
account_id: "123456",
unit_price: 100,
},
},
],
});
{
"data": {
"status": "SUCCESS",
"upload_job_id": "xQm2K441VosP8W4",
"data": [
{
"job_id": "aXI9pUDA5T7E2LS",
"status": "success",
"response": {
"platform_id": "3770712000001690001",
"name": "Toy Car",
"description": "Test Item description",
"type": "INVENTORY",
"code": "I02",
"quantity_on_hand": 12,
"bill_item": {
"account_id": "3770712000000076060",
"description": "Bill Item Description",
"unit_price": 10
},
"invoice_item": {
"account_id": "3770712000000000388",
"description": "Invoice Item Description",
"unit_price": 11
},
"is_bill_item": true,
"is_invoice_item": true,
"status": "ACTIVE",
"updated_at": "2023-11-01T00:00:00.000Z",
"raw_data": {
"platform_id": "123456",
"nominal_code": "Rootfi 01",
"name": "Test Account",
"description": "Test Description",
"category": "LIABILITY",
"sub_category": "Long Term Liabilities",
"status": "ACTIVE"
}
},
"error": null
}
]
},
"request_timestamp": "2021-09-28T15:00:00.000Z",
"response_timestamp": "2021-09-28T15:00:00.000Z",
"request_id": "7a1c0e42-9f85-4d6e-bb5d-358a72913c0b"
}Items
Create Item
Create an item.
POST
/
accounting
/
items
curl --request POST \
--url https://api.rootfi.dev/v3/accounting/items \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '{
"company_id": 1,
"data": [
{
"name": "Rootfi Test Item",
"description": "Rootfi Test Item",
"type": "INVENTORY",
"code": "1234567890",
"quantity_on_hand": 0,
"bill_item": {
"account_id": "123456",
"unit_price": 100
},
"invoice_item": {
"account_id": "123456",
"unit_price": 100
}
}
]
}'
import { RootFiClient } from "rootfi-api";
const rootfi = new RootFiClient({ apiKey: "<api_key>" });
await rootfi.accounting.items.create({
company_id: 1,
data: [
{
name: "Rootfi Test Item",
description: "Rootfi Test Item",
type: "INVENTORY",
code: "1234567890",
quantity_on_hand: 0,
bill_item: {
account_id: "123456",
unit_price: 100,
},
invoice_item: {
account_id: "123456",
unit_price: 100,
},
},
],
});
{
"data": {
"status": "SUCCESS",
"upload_job_id": "xQm2K441VosP8W4",
"data": [
{
"job_id": "aXI9pUDA5T7E2LS",
"status": "success",
"response": {
"platform_id": "3770712000001690001",
"name": "Toy Car",
"description": "Test Item description",
"type": "INVENTORY",
"code": "I02",
"quantity_on_hand": 12,
"bill_item": {
"account_id": "3770712000000076060",
"description": "Bill Item Description",
"unit_price": 10
},
"invoice_item": {
"account_id": "3770712000000000388",
"description": "Invoice Item Description",
"unit_price": 11
},
"is_bill_item": true,
"is_invoice_item": true,
"status": "ACTIVE",
"updated_at": "2023-11-01T00:00:00.000Z",
"raw_data": {
"platform_id": "123456",
"nominal_code": "Rootfi 01",
"name": "Test Account",
"description": "Test Description",
"category": "LIABILITY",
"sub_category": "Long Term Liabilities",
"status": "ACTIVE"
}
},
"error": null
}
]
},
"request_timestamp": "2021-09-28T15:00:00.000Z",
"response_timestamp": "2021-09-28T15:00:00.000Z",
"request_id": "7a1c0e42-9f85-4d6e-bb5d-358a72913c0b"
}The Items Data Model is designed to simplify the management and retrieval of item-related information across various accounting platforms.
Additional Required Fields
To successfully create an item, certain fields must be included in the raw_data object of the request body. The required fields are as follows:| Integration | Field | Description |
|---|---|---|
| NETSUITE | taxschedule | The ID of the tax schedule associated with the item. |
| MS_DYNAMICS_365_FO | ProductNumber | The product number of the item. |
| MYOB_BUSINESS | asset_account_id | The ID of the asset account associated with the item. |
| QOYOD | product_unit_type_id | The ID of the product unit type associated with the item. |
| QOYOD | category_id | The ID of the category associated with the item. |
| QOYOD | track_quantity | Whether the item should track quantity. |
| QOYOD | tax_id | The ID of the tax associated with the item. |
curl --request POST \
--url https://api.rootfi.dev/v3/accounting/items \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '{
"company_id": 1,
"data": [
{
"name": "Rootfi Test Item",
"description": "Rootfi Test Item",
"type": "INVENTORY",
"code": "1234567890",
"quantity_on_hand": 0,
"bill_item": {
"account_id": "123456",
"unit_price": 100
},
"invoice_item": {
"account_id": "123456",
"unit_price": 100
}
}
]
}'
import { RootFiClient } from "rootfi-api";
const rootfi = new RootFiClient({ apiKey: "<api_key>" });
await rootfi.accounting.items.create({
company_id: 1,
data: [
{
name: "Rootfi Test Item",
description: "Rootfi Test Item",
type: "INVENTORY",
code: "1234567890",
quantity_on_hand: 0,
bill_item: {
account_id: "123456",
unit_price: 100,
},
invoice_item: {
account_id: "123456",
unit_price: 100,
},
},
],
});
Authorizations
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
The time at which the request was received by the server
The time at which the response was sent by the server
The unique ID of the request
⌘I